Subject: bug#6689: closed (Re: bug#6689: 24.0.50; No primary selection)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Aug 2010 15:49:02 +0000

Your bug report

#6689: 24.0.50; No primary selection

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6689: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6689
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6689: 24.0.50; No primary selection
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 14 Aug 2010 18:47:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Fri, 23 Jul 2010 07:57:26 -0700
> 
> Here again is the one for this bug report (#6689):
> 
> > emacs -Q
> >
> > In another Emacs session, select some text in any way
> > and hit `M-w'.
> >
> > Click mouse-2 in the new Emacs session.  You get the
> > error "No primary selection".  For example, try to yank the
> > text into the prompt at `report-emacs-bug' using mouse-2.
> > Note: C-y works, but mouse-2 does not work.

This bug should now be fixed (revno 101080).

If the cure turns out to be worse than the disease, please reopen this
bug.  If, OTOH, there are other issues with selections and cut/paste
on Windows due to the latest changes, please submit separate bug
reports.

> Here's the other original report (#6694) recipe (again):
> 
> > I click mouse-1 at the left of some text and then
> > mouse-3 at the right of it, to select it (a Lisp symbol).
> > Then I try to yank it using `mouse-2':
> > 
> > Debugger entered--Lisp error: (wrong-type-argument
> > char-or-string-p #<buffer throw-x-at-pt.el>)
> > mouse-yank-primary((mouse-2 (#<window 8 on throw-x-at-pt.el>
> > 4906 (392 . 488) 12477031 nil 4906 (49 . 33) nil (224 . 9)
> > (8 . 14))))
> >  call-interactively(mouse-yank-primary nil nil)
> >
> > Yanking it with C-y works OK.  So the problem is not with
> > what was copied but with `mouse-yank-primary'.
> 
> I amended that within a couple of minutes as follows:
> 
> > Correction: Clicking mouse-1, then mouse-3 apparently
> > does *not* copy the selection to the kill ring....
> > Without M-w, C-y doesn't work either (after selecting using
> > mouse-1, 3).

This bug was already fixed and Chong closed it.

Subject: 24.0.50; No primary selection
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Wed, 21 Jul 2010 08:06:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
 
In another Emacs session, select some text in any way and hit `M-w'.
 
Click mouse-2 in the new Emacs session.  You get the error "No primary
selection".  For example, try to yank the text into the prompt at
`report-emacs-bug' using mouse-2.  Note: C-y works, but mouse-2 does
not work.
 
I believe there have been a bunch of bug reports about selection
recently, but I haven't followed them.  It seems pretty broken, in any
case.
 
Please restore selection, copying/killing, and yanking to what it was
like before.  It was NOT broken - please do not "fix" it.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-07-19 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'